
/*
 * This file is part of EKG/gEKG, a software package to record EKG.
 * Copyright  2003 Lars Stollenwerk
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.  
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include "EKGlogger.h"


// Header schreiben.
void EKGlogger::start( const string & name, ostream & o )
{
  time_t now_t = time( NULL );
  char * now = ctime( & now_t );
  now[24] = 0; // \n lschen

  out = &o;
  *out << "# Date: " << now << endl;
  *out << "# Patient: " << name << endl;
  *out << "#" << endl;
  *out << "# Time\tI\tII\tIII\taVR\taVL\taVF" << endl;
  *out << "#" << endl;
  step = 0;
  log = true;
}


// Daten mitschreiben.
void EKGlogger::input( float * d )
{
  if ( log )
  {
    out->precision( 11 );
    *out << ( step++ * EKG_TimeStep ) << '\t';
    out->precision( 5 );
    *out << d[0] << '\t' << d[1] << '\t' << d[2] << '\t';
    *out << aVL( d ) << '\t' << aVR( d ) << '\t' << aVF( d ) << endl;
  }
  EKGdevice::input( d );
}

